inklet docs

Retrieve content

GET/api/sdk/v1/contents/{contentId}

Authorization

bearerAuth
AuthorizationBearer <token>

A personal access token created in the inklet portal. Server-side use only.

In: header

Path Parameters

contentId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/sdk/v1/contents/string"
{  "id": "string",  "title": "string",  "state": "pending",  "assets": [    {      "assetIndex": 0,      "type": "text",      "text": "string",      "url": "http://example.com",      "filename": "string",      "contentType": "string",      "sizeBytes": 0,      "uploadState": "pending"    }  ],  "failedAssetIndexes": [    0  ],  "analysisIds": [    "string"  ],  "presentationIds": [    "string"  ],  "failure": {    "code": "string",    "message": "string",    "stage": "string",    "retryable": true,    "assetIndex": 0  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}